import { Base, FormatException, Type, Nullable$1, IEnumerable$1, Stream, IFormatProvider } from "igniteui-angular-core";
import { Encoding } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
import { EscherSysIndex } from "./EscherSysIndex";
import { CultureInfo } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { IComparer$1 } from "igniteui-angular-core";
import { BinaryReader } from "igniteui-angular-core";
import { BinaryWriter } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class DocCoreUtils extends Base {
    static $t: Type;
    static staticInit(): void;
    static a(a: number[]): number[];
    static n<T>($t: Type, a: string): FormatException;
    static al(a: Nullable$1<number>, b: Nullable$1<number>, c: Nullable$1<Color>, d: Nullable$1<number>, e: Nullable$1<EscherSysIndex>, f: Nullable$1<number>): {
        p2: Nullable$1<Color>;
        p3: Nullable$1<number>;
        p4: Nullable$1<EscherSysIndex>;
        p5: Nullable$1<number>;
    };
    static v(a: number): number;
    static am(a: Nullable$1<Color>, b: Nullable$1<number>, c: Nullable$1<EscherSysIndex>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>): {
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
    };
    static ah(a: number): number;
    static aj(a: boolean, b?: string): void;
    static ak(a: string): void;
    static an<T>($t: Type, a: IEnumerable$1<T>, b: (arg1: T) => void): void;
    static i(a: number): number;
    static ae(a: number): Encoding;
    static q(a: Encoding): number;
    static x(a: Encoding): string;
    static o(a: number): CultureInfo;
    static r(a: string): number;
    static z(a: string): string;
    static aa(a: string, ...b: any[]): string;
    static d(a: string): boolean;
    static e(a: any): boolean;
    static ao(a: string, b?: number, c?: string): void;
    static w(a: number): number;
    static j(a: number): number;
    private static b;
    static k(a: number, b: number): number;
    static ai(a: number, b: number): number;
    static s(a: number, b: number): number;
    static ar<T>($t: Type, a: List$1<T>, b: IComparer$1<T>): void;
    static ap<T>($t: Type, a: T[], b: T[], c: IComparer$1<T>): void;
    static aq<T>($t: Type, a: T[], b: T[], c: IComparer$1<T>, d: number, e: number): void;
    private static as;
    static c(a: Stream): number[];
    static at<T>($t: Type, a: T, b: T): {
        p0?: T;
        p1?: T;
    };
    static l(a: number): number;
    static u(a: string, b: string, c: string): {
        ret: Stream;
        p2: string;
    };
    static g(a: string, b: string, c: IFormatProvider, d: Date): {
        ret: boolean;
        p3: Date;
    };
    static t(a: number): number;
    static au(a: any, b: string): void;
    static av<T>($t: Type, a: number, b: string, c: number, d: number): void;
    static readonly p: number;
    static readonly ad: Encoding;
    static f: boolean;
    static y(a: Stream): string;
    static ab(a: Encoding, b: number[]): string;
    static af(a: Encoding, b: number): Encoding;
    static ac(a: BinaryReader): string;
    static aw(a: BinaryWriter, b: string): void;
}
